> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Rotate Deployment Key ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/compute.json post /compute/script/{id}/deploymentKey/rotate openapi: 3.0.0 info: title: bunny.net Compute API description: >- bunny.net Logo Edge Scripts and Compute API documentation for bunny.net. This API provides endpoints for managing edge scripts, releases, secrets, variables, and other compute-related resources. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] paths: /compute/script/{id}/deploymentKey/rotate: post: tags: - Edge Script summary: Rotate Deployment Key operationId: RotateEdgeScriptDeploymentKeyEndpoint_RotateEdgeScriptDeploymentKey parameters: - name: id in: path required: true description: The ID of the edge script that should have deployment key rotated schema: type: integer format: int64 x-position: 1 responses: '204': description: The deployment key has been successfully rotated '401': description: The request authorization failed '404': description: The Edge Script with the requested ID does not exist '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPICompute - SubuserAPIDns - SubuserCompute - SubuserManage - SubuserAPIManage - ScopedApiKey components: securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.